Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.item
Interface ProductItemManager

All Superinterfaces:
  BusinessSmartComponent, CatalogService, EJBObject, Remote, Serializable, Session

public interface ProductItemManager
extends CatalogService

Service interface for managing Product Items.

See Also:
  `ProductItemManagerHome`, `ProductItemManagerImpl`, `CatalogManager`, `ProductItem`

Method Summary
`void` | `createItem(CatalogRequest request, ProductItem product)` Creates a new product item.
`ProductItem` | `getItem(CatalogRequest request, ProductItemKey productKey)` Returns the product item with the specified key.
`int` | `getItemCount(CatalogRequest request)` Returns the number of product items in the product catalog.
`ProductItemKey[]` | `getItemKeys(CatalogRequest request, int beginIndex, int endIndex)` Returns an array over all existing product item keys within the specified ordered range.
`ViewIterator` | `getItems(CatalogRequest request, int viewSize)` Returns a ViewIterator over all existing product items.
`ProductItem[]` | `getItems(CatalogRequest request, ProductItemKey[] productKeys)` Returns the product items with the given product item keys.
`String[]` | `getKeywords(CatalogRequest request, ProductItemKey productKey)` Returns the keywords associated with a given product item.
`void` | `removeItem(CatalogRequest request, ProductItemKey productKey)` Removes a product item.
`void` | `setKeywords(CatalogRequest request, ProductItemKey productKey, String[] keywords)` Sets the keywords for a given product item.
`void` | `updateItem(CatalogRequest request, ProductItem product)` Updates a product item.

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.service.CatalogService
`getCatalogManager`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getItemCount

    public int getItemCount(CatalogRequest request)
                     throws RemoteException,
                            CatalogException

  Returns the number of product items in the product catalog.

  Parameters:
    `request` - The catalog request object
  Returns:
    The number of product items in the product catalog.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### getItem

    public ProductItem getItem(CatalogRequest request,
                               ProductItemKey productKey)
                        throws RemoteException,
                               CatalogFinderException,
                               CatalogException

  Returns the product item with the specified key.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    public ProductItem[] getItems(CatalogRequest request,
                                  ProductItemKey[] productKeys)
                           throws RemoteException,
                                  CatalogFinderException,
                                  CatalogException

  Returns the product items with the given product item keys.

  Parameters:
    `request` - The catalog request object.
  Returns:
    The product items with the given product item keys.
  Throws:
    `CatalogFinderException` - if a product item with a given key does not exist.
    `CatalogException` - on general error.
    `RemoteException`

### getItemKeys

    public ProductItemKey[] getItemKeys(CatalogRequest request,
                                        int beginIndex,
                                        int endIndex)
                                 throws RemoteException,
                                        CatalogException

  Returns an array over all existing product item keys within the specified ordered range.

  Parameters:
    `request` - The catalog request object.
    `beginIndex` - The lower bound index for returned product item keys.
    `endIndex` - The upper bound index for returned product item keys.
  Returns:
    An array of the product item keys.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### getItems

    public ViewIterator getItems(CatalogRequest request,
                                 int viewSize)
                          throws RemoteException,
                                 CatalogException

  Returns a ViewIterator over all existing product items.

  Parameters:
    `request` - The catalog request object.
    `viewSize` - The view size of the returned ViewIterator.
  Returns:
    A ViewIterator over all existing product items.
  Throws:
    `CatalogException` - on general error.
    `RemoteException`

### getKeywords

    public String[] getKeywords(CatalogRequest request,
                                ProductItemKey productKey)
                         throws RemoteException,
                                CatalogFinderException,
                                CatalogException

  Returns the keywords associated with a given product item.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
  Returns:
    The keywords associated with the given product item. If there are no keywords associated with the item, a zero length <code>String</code> array is returned.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### setKeywords

    public void setKeywords(CatalogRequest request,
                            ProductItemKey productKey,
                            String[] keywords)
                     throws RemoteException,
                            CatalogFinderException,
                            CatalogException

  Sets the keywords for a given product item.

  Parameters:
    `request` - The catalog request object.
    `productKey` - The key of the target product.
    `keywords` - The keywords to associate with the given product item.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### createItem

    public void createItem(CatalogRequest request,
                           ProductItem product)
                    throws RemoteException,
                           CatalogCreateException,
                           CatalogException

  Creates a new product item.

  Parameters:
    `request` - The catalog request object.
    `product` - The product item to persist.
  Throws:
    `CatalogCreateException` - if the product item could not be created.
    `CatalogException` - on general error.
    `RemoteException`

### updateItem

    public void updateItem(CatalogRequest request,
                           ProductItem product)
                    throws RemoteException,
                           CatalogFinderException,
                           CatalogException

  Updates a product item.

  Parameters:
    `request` - The catalog request object.
    `product` - The product item to update.
  Throws:
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

### removeItem

    public void removeItem(CatalogRequest request,
                           ProductItemKey productKey)
                    throws RemoteException,
                           CatalogRemoveException,
                           CatalogFinderException,
                           CatalogException

  Removes a product item.

  Parameters:
    `request` - The catalog request object.
  Throws:
    `CatalogRemoveException` - if the product item could not be removed.
    `CatalogFinderException` - if the product item could not be found.
    `CatalogException` - on general error.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved